Subject: You have little joy in life? Lacks warmth and affection? Come to me.

From: <[email-masked]>
Date: Mon, 11 Jan 2010 11:43:28 -0500

Want to know what the real Russian girls love and warmth? Enter here